#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,144,192,384,768,1152,1584
 * N : 25,96,144,192,384,768,1152,1584
 * NB : 4,4,12,16,12,16,48,48
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 120) (nb_) = 4; \
   else if ((n_) < 168) (nb_) = 12; \
   else if ((n_) < 288) (nb_) = 16; \
   else if ((n_) < 576) (nb_) = 12; \
   else if ((n_) < 960) (nb_) = 16; \
   else (nb_) = 48; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
